RDKit::CXXBondIterator< Graph, Edge > Struct Template Reference

`#include <ROMol.h>`

## Classes

struct | CXXBondIter

## Public Member Functions

| CXXBondIterator (Graph *graph)
CXXBondIter | begin ()
CXXBondIter | end ()

## Public Attributes

Graph * | graph
Graph::edge_iterator | vstart
Graph::edge_iterator | vend

## Detailed Description

### template<class Graph, class Edge>
struct RDKit::CXXBondIterator< Graph, Edge >

Definition at line 139 of file ROMol.h.

## Constructor & Destructor Documentation

## CXXBondIterator()

template<class Graph , class Edge >

RDKit::CXXBondIterator< Graph, Edge >::CXXBondIterator | ( | Graph * | graph | ) |

inline

Definition at line 162 of file ROMol.h.

References RDKit::CXXBondIterator< Graph, Edge >::graph, RDKit::CXXBondIterator< Graph, Edge >::vend, and RDKit::CXXBondIterator< Graph, Edge >::vstart.

## Member Function Documentation

## begin()

template<class Graph , class Edge >

CXXBondIter RDKit::CXXBondIterator< Graph, Edge >::begin | ( |  | ) |

inline

Definition at line 167 of file ROMol.h.

References RDKit::CXXBondIterator< Graph, Edge >::graph, and RDKit::CXXBondIterator< Graph, Edge >::vstart.

## end()

template<class Graph , class Edge >

CXXBondIter RDKit::CXXBondIterator< Graph, Edge >::end | ( |  | ) |

inline

Definition at line 168 of file ROMol.h.

References RDKit::CXXBondIterator< Graph, Edge >::graph, and RDKit::CXXBondIterator< Graph, Edge >::vend.

## Member Data Documentation

## graph

template<class Graph , class Edge >

Graph* RDKit::CXXBondIterator< Graph, Edge >::graph

Definition at line 140 of file ROMol.h.

Referenced by RDKit::CXXBondIterator< Graph, Edge >::begin(), RDKit::CXXBondIterator< Graph, Edge >::CXXBondIterator(), and RDKit::CXXBondIterator< Graph, Edge >::end().

## vend

template<class Graph , class Edge >

Graph::edge_iterator RDKit::CXXBondIterator< Graph, Edge >::vend

Definition at line 141 of file ROMol.h.

Referenced by RDKit::CXXBondIterator< Graph, Edge >::CXXBondIterator(), and RDKit::CXXBondIterator< Graph, Edge >::end().

## vstart

template<class Graph , class Edge >

Graph::edge_iterator RDKit::CXXBondIterator< Graph, Edge >::vstart

Definition at line 141 of file ROMol.h.

Referenced by RDKit::CXXBondIterator< Graph, Edge >::begin(), and RDKit::CXXBondIterator< Graph, Edge >::CXXBondIterator().

The documentation for this struct was generated from the following file:

- ROMol.h